# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test63
# FileName:      __init__.py
# Author:       lao_zhao
# Datetime:     2024/11/5 14:02
# Description:
# 
# ---------------------------------------------------------------------------
import logging
import os
import time


"""
    每个用户有独立的数据配置层，每个用户有自己的配置文件-config.ini--->这个文件名称不能改变文件名---需要单独读取---ReadUserIni
    接口自动化框架有公共的配置文件---config.ini--->这个文件名称不能改变文件名---ReadBasicIni

    在用例层-每个用户都有自己独立的测试层--用户的测试层中的__init__.py文件中需要配置用户存放数据的目录名称
"""


def api_log():
    # 创建Logger对象    root
    logger = logging.getLogger()
    # 设置级别
    logger.level = logging.INFO
    # 日志文件存放的路径
    log_dir_path = os.path.join(os.path.join(os.path.dirname(__file__), "report"), "log")
    log_file_name = time.strftime("%Y-%m-%d-%H-%M-%S", time.localtime()) + ".log"
    log_path = os.path.join(log_dir_path, log_file_name)
    # 创建日志文件的Handler对象
    handler = logging.FileHandler(filename=log_path, mode="a", encoding="utf-8")
    # 设置日志显示的格式
    formatter = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')
    # 给Handler设置日志的格式
    handler.setFormatter(formatter)
    # 给Logger添加Handler对象
    logger.addHandler(handler)
    return logger


log = api_log()